--- gurlchecker-0.10.1/configure.in.orig	2007-04-24 18:56:18.000000000 +0100
+++ gurlchecker-0.10.1/configure.in	2010-07-29 13:35:28.339072835 +0100
@@ -183,10 +183,28 @@
        [have_tidy=no]
 	   )
 	  ],
-	  [
-	   have_tidy=no
-	   AC_MSG_WARN([You requested libtidy support, but it doesn't seem to be installed.])
-	  ]
+          [
+            AC_CHECK_LIB(
+              [tidyp],
+              [tidyCreate],
+              [
+                AC_CHECK_HEADERS(
+                  [tidyp/tidyp.h],
+                  [
+                    have_tidy=yes
+                    TIDY_FLAGS="$TIDY_FLAGS -DHAVE_TIDYP_H"
+                    TIDY_LIBS="-ltidyp"
+                    LDFLAGS="$LDFLAGS $want_tidy_path"
+                  ],
+                  [have_tidy=no]
+                )
+              ],
+	      [
+	       have_tidy=no
+	       AC_MSG_WARN([You requested libtidy support, but it doesn't seem to be installed.])
+	      ]
+            )
+          ]
 	)
 else
   AC_MSG_WARN([You are building without libtidy support. gurlchecker will not be able to do HTML validation...])
--- gurlchecker-0.10.1/src/general.h.orig	2007-04-25 06:32:07.000000000 +0100
+++ gurlchecker-0.10.1/src/general.h	2010-07-29 13:41:45.792987032 +0100
@@ -56,6 +56,9 @@
 #ifdef HAVE_TIDY_H_IN_SUBDIR
 #include <tidy/tidy.h>
 #include <tidy/buffio.h>
+#elif HAVE_TIDYP_H
+#include <tidyp/tidyp.h>
+#include <tidyp/buffio.h>
 #else
 #include <tidy.h>
 #include <buffio.h>
============= remove this line and everything below for an upstreamable style patch =================
diff -ur gurlchecker-0.10.1.orig/config.h.in gurlchecker-0.10.1/config.h.in
--- gurlchecker-0.10.1.orig/config.h.in	2007-04-25 06:38:58.000000000 +0100
+++ gurlchecker-0.10.1/config.h.in	2010-07-29 13:56:43.000000000 +0100
@@ -48,6 +48,9 @@
 /* Define to 1 if you have the <sys/types.h> header file. */
 #undef HAVE_SYS_TYPES_H
 
+/* Define to 1 if you have the <tidyp/tidyp.h> header file. */
+#undef HAVE_TIDYP_TIDYP_H
+
 /* Define to 1 if you have the <tidy.h> header file. */
 #undef HAVE_TIDY_H
 
diff -ur gurlchecker-0.10.1.orig/configure gurlchecker-0.10.1/configure
--- gurlchecker-0.10.1.orig/configure	2007-04-24 18:56:30.000000000 +0100
+++ gurlchecker-0.10.1/configure	2010-07-29 13:56:43.000000000 +0100
@@ -23386,13 +23365,231 @@
 
 else
 
-	   have_tidy=no
-	   { echo "$as_me:$LINENO: WARNING: You requested libtidy support, but it doesn't seem to be installed." >&5
+            { echo "$as_me:$LINENO: checking for tidyCreate in -ltidyp" >&5
+echo $ECHO_N "checking for tidyCreate in -ltidyp... $ECHO_C" >&6; }
+if test "${ac_cv_lib_tidyp_tidyCreate+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-ltidyp  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char tidyCreate ();
+int
+main ()
+{
+return tidyCreate ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_tidyp_tidyCreate=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cv_lib_tidyp_tidyCreate=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_tidyp_tidyCreate" >&5
+echo "${ECHO_T}$ac_cv_lib_tidyp_tidyCreate" >&6; }
+if test $ac_cv_lib_tidyp_tidyCreate = yes; then
+
+
+for ac_header in tidyp/tidyp.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+	       { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+	       { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+                    have_tidy=yes
+                    TIDY_FLAGS="$TIDY_FLAGS -DHAVE_TIDYP_H"
+                    TIDY_LIBS="-ltidyp"
+                    LDFLAGS="$LDFLAGS $want_tidy_path"
+
+else
+  have_tidy=no
+
+fi
+
+done
+
+
+else
+
+	       have_tidy=no
+	       { echo "$as_me:$LINENO: WARNING: You requested libtidy support, but it doesn't seem to be installed." >&5
 echo "$as_me: WARNING: You requested libtidy support, but it doesn't seem to be installed." >&2;}
 
 
 fi
 
+
+
+fi
+
 else
   { echo "$as_me:$LINENO: WARNING: You are building without libtidy support. gurlchecker will not be able to do HTML validation..." >&5
 echo "$as_me: WARNING: You are building without libtidy support. gurlchecker will not be able to do HTML validation..." >&2;}
